MillionSend Docs

Retrieve a received email's attachment

GET
/emails/receiving/{email_id}/attachments/{id}

One attachment's metadata and a signed download link valid for one hour. Needs a full access key.

Path Parameters

email_id*string
Formatuuid
id*string
Formatuuid

Response Body

Attachment

application/json
  1. response
id*string
Formatuuid
filename?string
size*integer
content_type*string
content_disposition*string
Value in"inline""attachment"
content_id?string
download_url*string

Signed link to the file's bytes, valid for one hour; it needs no API key

expires_at*string
object*"attachment"
Value in"attachment"
Example Request
curl -X GET 'https://api.millionsend.com/emails/receiving/497f6eca-6276-4993-bfeb-53cbbbba6f08/attachments/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "filename": "string",  "size": 0,  "content_type": "string",  "content_disposition": "inline",  "content_id": "string",  "download_url": "string",  "expires_at": "string",  "object": "attachment"}